You are not logged in.

#1 2005-08-31 18:43:48

wabi
Member
Registered: 2005-04-04
Posts: 61

suspend2

Is there a kernel that has build in suspend2 support? because I'd like it for my laptop and since iphitus took it out of the archck kernel in the community pack I am looking for some other pack.

probably the right time to start compiling a kernel but I'm just not comfortable with this.

any help - thanks
wabi

Offline

#2 2005-08-31 18:56:07

phrakture
Arch Overlord
From: behind you
Registered: 2003-10-29
Posts: 7,879
Website

Re: suspend2

wabi wrote:

Is there a kernel that has build in suspend2 support? because I'd like it for my laptop and since iphitus took it out of the archck kernel in the community pack I am looking for some other pack.

probably the right time to start compiling a kernel but I'm just not comfortable with this.

any help - thanks
wabi

If iphitus took it out, it's probably because it doesn't compile (those patches are kinda shitty) or isn't updated to support 2.6.13...

Offline

#3 2005-08-31 19:17:07

iom
Member
From: Slovenia
Registered: 2005-04-18
Posts: 35

Re: suspend2

why don't you use dibble's pkgbuild with modifications:

source=(config 
        ftp://ftp.kernel.org/pub/linux/kernel/v2.6/linux-$pkgver.tar.bz2 
        http://www.suspend2.net/downloads/all/software-suspend-2.2-rc4-for-2.6.13.tar.bz2 
        )
#...
build() {
  cd $startdir/src/linux-$pkgver
 ../software-suspend-2.2-rc4-for-2.6.13/apply
#....

it's all you need.

Offline

#4 2005-08-31 20:59:49

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: suspend2

dibble's kernel26cko is still in community - sure it's 2.6.12, but it's got swsusp2, and you can just install it with pacman - no compiling, no PKGBUILDs, no fuss.

Offline

#5 2005-09-01 09:33:31

wabi
Member
Registered: 2005-04-04
Posts: 61

Re: suspend2

I'm still fiddling with cko kernel because there my wireless does not work.
I don't know exactly why iphitus took suspend2 out. the stable version is for 2.6.13
do I have to reinstall some packages when useing an other kernel?
I use the madwifi driver

Offline

#6 2005-09-01 21:04:58

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,839

Re: suspend2

As I understand it, iphitus created a new archck patchset, similar to cko i.e. based on ck, with other interesting patches merged in. The swsusp2 patch for 2.6.13 that you're talking about works with vanilla kernel source only - it will fail if applied after cko or archck. cko used to include swsusp2, but this ceased at 2.6.11-cko1. The cko kernel in [community] has swsusp2 thanks to the work of a French guy called Thomas de Grenier de Latour, who modified swsusp2 to work with 2.6.12-cko2. So far, neither he nor anybody else has made similar modifications for swsusp2 to work with 2.6.13-archck1.

Re madwifi - yes, you will have to reinstall it anytime you change kernel. madwifi creates a kernel module, so it has to be compiled against the kernel that you intend to use.

Offline

Board footer

Powered by FluxBB